package bank3tier.lg; //LgKontoStand.java
/*
 * 2002-04-30  Knabe  Erstellt
 */

/**
 * View eines Kontos mit Angabe, ob der aktuelle Kunde Inhaber ist oer nicht.
 * @author  Christoph Knabe
 */
public class LgKontoStand {

    private final Integer _oid;
    private final boolean _inhaber;
    private final int     _saldoCt;

    /**Constructs an object with all attributes*/
    public LgKontoStand(
        final Integer i_oid, final boolean i_inhaber, final int i_saldoCt
    ){_oid = i_oid;   _inhaber = i_inhaber;   _saldoCt = i_saldoCt;}

    /**Returns the OID of the corresponding LgKonto object*/
    public Integer getOid(){return _oid;}

    /**Returns the indication, if the the actual client is owner of this account*/
    public boolean getInhaber(){return _inhaber;}

    /**Returns the actual account balance in cents*/
    public int getSaldoCt(){return _saldoCt;}

}//LgKontoStand