/*
 * LgVerwaltet.java
 *
 * Created on 2. Mrz 2001, 13:19
 */

package bank3tier.lg;
import  bank3tier.db.DbObjectImpl;
import  bank3tier.db.DbService;

/**Association "Kunde verwaltet Konto".
 * @author  Christoph Knabe
 */
public class LgVerwaltetImpl extends DbObjectImpl implements LgVerwaltet {
    private Integer kunde_oid, konto_oid;
    private boolean inhaber;

    public boolean inhaber(){return inhaber;}

    /** Creates unstored new link object*/
    /*package*/ LgVerwaltetImpl(final LgKunde i_kunde, final LgKonto i_konto){
        kunde_oid = i_kunde.getOid();   konto_oid = i_konto.getOid();
    }
    /** Creates query object with only a Kunde*/
    /*package*/ LgVerwaltetImpl(final LgKunde i_kunde){
        kunde_oid = i_kunde.getOid();
    }

    private LgVerwaltetImpl(){}

    /*package*/ void setzen(final boolean i_inhaber){
        inhaber = i_inhaber;
    }

    /*package*/ static final LgVerwaltetImpl dummy = new LgVerwaltetImpl();

    protected static final jora.Table table = DbService.dbNewTable(LgVerwaltetImpl.class);
    public jora.Table dbTable(){return table;}

}//LgVerwaltetImpl