package jora; //SqlFailure.java

//2001-02-27  Christoph Knabe  Creation

/** A JORA operation failed because a SQL statement execution failed.
*/
public class SqlFailure extends Failure {
    public SqlFailure(final Exception i_cause,  final String i_sql){
        super("JORA: Unable to execute the SQL statement: {0}", i_cause, i_sql);
    }

}
