package bank3tier._lgTest; //SchichtentkopplungExample.java

/*
 * Example1.java
 *
 * 2002-04-30  Knabe  Erstellt
 */


import bank3tier.lg.LgApplication;
import bank3tier.lg.LgKunde;
import bank3tier.lg.LgKunde_List;
import bank3tier.lg.LgKonto;
import bank3tier.lg.LgKontoStand;
import bank3tier.lg.LgKontoStand_List;
import bank3tier.lg.LgDatum;

/**
  Zweck: Zeigt die Verwendung von Dummy-Lg-Objekten durch die Oberflchenschicht.
  Hier wird nur eine Liste von Dummy-Kunden erstellt und an der Oberflche mit der
  Operation UsingLgExample.kundenlisteDrucken() ausgedruckt.
  <P>
  Voraussetzung: Zuerst mu das Programm UsingLgExample gelaufen sein, damit
  die Datenbank einige Kunden enthlt.

  @author  Christoph Knabe
 */
public class SchichtentkopplungExample extends Object {

    /** Do not create objects of me from outside*/
    private SchichtentkopplungExample() {
    }//SchichtentkopplungExample()

    /**create objects, link and work with them*/
    public void work() throws Exception {
        final LgKunde_List kundeList = new UiDummyKunde().alleSuchen();
        UsingLgExample.kundenlisteDrucken(kundeList);

    }//work

    /**Do some work using the application logic tier (Lg) */
    public static void main (final String[] i_args) throws java.sql.SQLException {
        final SchichtentkopplungExample example = new SchichtentkopplungExample();
        try{example.work();}
        catch(Exception ex){multex.Msg.printReport(ex);  System.exit(1);}
    }

}//SchichtentkopplungExample