package bank3tier._lgTest; //UiDummyKunde.java
import bank3tier.lg.LgKunde;
import bank3tier.lg.LgKunde_List;
import bank3tier.lg.LgDatum;
import bank3tier.lg.LgKonto;
import bank3tier.lg.LgKontoStand_List;
import  bank3tier.db.DbObjectImpl;

/*
 * 2002-04-30  Knabe  Erstellung
 */


/*package*/ class UiDummyKunde extends DbObjectImpl implements LgKunde {

    /*Gets/Sets these attributes in the actual object.
      As internal, unpersistent operation
    */
    public String getName(){return "Christoph Knabe";}
    public LgDatum getGeburt(){return LgDatum.fromString("31.05.1954");}

    public void setName(String i_name){}
    public void setGeburt(LgDatum i_geburt){}

    /**Inserts this Kunde object into the database*/
    public void erfassen(){}

    /**Erffnet ein neues Konto, dessen Inhaber der aktuelle Kunde wird.
      As external checked transaction.
      @return das neue Konto
    */
    public LgKonto kontoErffnen(){return null;}

    /**Liefert alle Kunden*/
    public LgKunde_List alleSuchen(){
        final LgKunde_List result = new LgKunde_List();
        for(int i=0; i<10; i++){
            result.add(new UiDummyKunde());
        }
        return result;
    }

    /**Liefert den Kunden mit dem angegebenen Geburtsdatum*/
    public LgKunde suchen(final LgDatum i_geburtsDatum) //static
    throws KeinKundeExc{
        throw new KeinKundeExc(i_geburtsDatum);
    }

    /**Liefert ein View-Objekt mit allen Konten des aktuellen Kunden
      mit ihrem Saldo und Inhaberstatus.
    */
    public LgKontoStand_List getKontoStandList(){return new LgKontoStand_List();}

    public jora.Table dbTable(){return null;}

}//UiDummyKunde