/*
 * LgDatum.java
 *
 * Created on 28. Juni 2001, 17:51
 */

package bank3tier.lg;

/**
 *
 * @author  administrator
 * @version 
 */
public class LgDatum extends java.sql.Date {

    /** Creates new LgDatum */
    private LgDatum(final String i_datumString) throws java.text.ParseException {
        super(_formatter.parse(i_datumString).getTime());
    }
    
    public static LgDatum fromString(final String i_datumString){
        try{ return new LgDatum(i_datumString);
        }catch(java.text.ParseException ex){
            throw new multex.Failure("Ungltige Datumsangabe {0}", ex, i_datumString);
        }
    }
    
    public LgDatum(final java.sql.Date i_date){
        super(i_date.getTime());
    }
    
    public String toString(){
        return _formatter.format(this);
    }
    
    private final static java.text.DateFormat _formatter 
    = java.text.DateFormat.getDateInstance(); //default locale
    

}