//-< NoCurrentObjectExc.java >-------------------------------------*--------*
// JORA                       Version 2.0        (c) 1998  GARRET    *     ?  *
// (Java Object Relational Adapter)                                  *   /\|  *
//                                                                   *  /  \  *
//                          Created:     10-Jun-98    K.A. Knizhnik  * / [] \ *
//                          Last update: 16-Jun-98    K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Exception raised when UPDATE/REMOVE operation is applied to Cursor
// with no current object
//-------------------------------------------------------------------*--------*

//Version history:
//2001-02-26  Christoph Knabe  Renamed to NoCurrentObjectExc for MulTEx

package jora;

/** Exception raised when update/remove operation is applied to
 *  cursor with no current object (before first call of <TT>next()</TT>
 *  method).
 */
public class NoCurrentObjectExc extends multex.Exc {
    NoCurrentObjectExc() {
       super("Cursor doesn't specify current object");
    }
}

